#ifndef __AMSCUFHASH_CUH__
#define __AMSCUFHASH_CUH__



namespace amscuda
{
namespace random
{
namespace fhash
{
//Floating point hash functions

// legacy fast floating point hash function used in fractal generators
__device__ __host__ float fhash1d_su(float x);

__device__ __host__ float fhash3d_su(float x, float y, float z);

__device__ __host__ float fhash4d_su(float x, float y, float z, float w);


};
};
};



#endif
